Bug Hunting Session
Bug 93989 - crash on chart insert ...
Summary: crash on chart insert ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other Linux (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.3 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-09-07 13:21 UTC by Michael Meeks
Modified: 2015-09-25 16:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-09-07 13:21:45 UTC
1) in my build: Chart icon is not working. when clicked it is giving

MessageBox   LibreOffice5.0 Fatal Error SEH Exception:Access violation!

This apparently happens regardless of whether OpenGL is enabled; apparently inserting a chart sets up and/or queries GL in some way even if it is not enabled -> problems.

#0  0x00007ffff5f4b5dc in XQueryExtension () from /usr/lib64/libX11.so.6
#1  0x00007ffff5f3f8f2 in XInitExtension () from /usr/lib64/libX11.so.6
#2  0x00007fffed302fef in XextAddDisplay () from /usr/lib64/libXext.so.6
#3  0x00007ffff62d9167 in ?? () from /usr/X11R6/lib64/libGL.so.1
#4  0x00007ffff62d91ba in ?? () from /usr/X11R6/lib64/libGL.so.1
#5  0x00007ffff62d98ca in ?? () from /usr/X11R6/lib64/libGL.so.1
#6  0x00007ffff62db3ba in ?? () from /usr/X11R6/lib64/libGL.so.1
#7  0x00007ffff0675483 in OpenGLContext::resetCurrent (this=0x18f0c00) at /devel/libo/libo1/vcl/source/opengl/OpenGLContext.cxx:1420
#8  0x00007ffff06750ca in OpenGLContext::prepareForYield () at /devel/libo/libo1/vcl/source/opengl/OpenGLContext.cxx:1348
#9  0x00007ffff0d0611f in SalYieldMutex::release (this=0x610740) at /devel/libo/libo1/vcl/generic/app/geninst.cxx:57
#10 0x00007fffe0dacbea in GtkYieldMutex::ThreadsLeave (this=0x610740) at /devel/libo/libo1/vcl/unx/gtk3/app/../../gtk/app/gtkinst.cxx:315
#11 0x00007fffe0dabe75 in GdkThreadsLeave () at /devel/libo/libo1/vcl/unx/gtk3/app/../../gtk/app/gtkinst.cxx:58
#12 0x00007fffe023bc3f in ?? () from /usr/lib64/libgdk-3.so.0
#13 0x00007fffe9344a04 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#14 0x00007fffe9344c48 in ?? () from /usr/lib64/libglib-2.0.so.0
#15 0x00007fffe9344cec in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#16 0x00007fffe0daa127 in GtkData::Yield (this=0x6105f0, bWait=true, bHandleAllCurrentEvents=false) at /devel/libo/libo1/vcl/unx/gtk3/app/../../gtk/app/gtkdata.cxx:604
#17 0x00007fffe0dad00f in GtkInstance::DoYield (this=0x610480, bWait=true, bHandleAllCurrentEvents=false, nReleased=0) at /devel/libo/libo1/vcl/unx/gtk3/app/../../gtk/app/gtkinst.cxx:406
#18 0x00007ffff0c4eb96 in ImplYield (i_bWait=true, i_bAllEvents=false, nReleased=0) at /devel/libo/libo1/vcl/source/app/svapp.cxx:362
#19 0x00007ffff0c4b32a in Application::Yield () at /devel/libo/libo1/vcl/source/app/svapp.cxx:391
#20 0x00007ffff0c4b2cf in Application::Execute () at /devel/libo/libo1/vcl/source/app/svapp.cxx:337

Needless to say this works quite well with OpenGL enabled on Windows at least (for me), and without it enabled there too; nasty ...
Comment 1 Michael Meeks 2015-09-07 14:51:32 UTC
Markus kindly fixed this:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ce77fcfceae8fd15c3f428deb973509da2eb424

Apparently this is indeed Linux specific.
Comment 2 Commit Notification 2015-09-07 14:54:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42674aaed9b3f88fa95eb73a3cd88d4fb56264e1&h=libreoffice-5-0

tdf#93989 - prevent crash with non-vcl OpenGL contexts

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2015-09-08 13:36:30 UTC
Best if we don't crash when people click the chart item ;-)
Comment 4 Commit Notification 2015-09-08 14:03:10 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2731f219fd5b7b86efb9519a3680c93d7bb4029&h=libreoffice-5-0-2

tdf#93989 - prevent crash with non-vcl OpenGL contexts

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 kalei 2015-09-25 16:09:13 UTC
1k thanks for this fix! Confirming it in LO 5.0.2.2 on Win7 Pro 64bit :-) I'm about to finish a larger scientific document and the crashing EPS export was an annoyance.